Do you use or administer OpenEMR? Take the General Satisfaction Survey to help improve the product

Json error: 4 when logging in after upgrade to 6.0.0

Situation
We upgraded from 5.0.2 patch 5 to 6.0.0.

I had been logged in as a user before the upgrade, after the upgrade I clicked the refresh symbol in order to log in again and get the upgrade. When I logged in my credentials were accepted but the screen was blank other than the error message “json error: 4”.
this was consistent

The error was cleared when I forced a rewrite of the user data, by changing my password when logged in as an administrator

OpenEMR Version
I’m using OpenEMR version 6.0.0

Browser:
I’m using: firefox 78.7.0esr

Operating System
I’m using: linux: suse leap

Logs
On some attempts, but not all, the following appeared in the error log:
‘’‘PHP Warning: session_destroy(): Trying to destroy uninitialized session in /var/www/public_html/src/Common/Session/SessionUtil.php on line 215, referer: https:///interface/main/tabs/main.php?token_main=…mmap() failed: [12] Cannot allocate memory’’’

hi @ruth, sounds like a refresh while still logged in on the old version was the culprit, thanks for the report